libyaml-perl_1.15-1_all.deb


Advertisement

Description

libyaml-perl - YAML Ain't Markup Language

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libyaml-perl_1.15-1_all.deb
Package name libyaml-perl
Package version 1.15
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/YAML
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 60.70 KB
Installed size 172.00 KB
YAML is a generic data serialization language that is optimized for human
readability. It can be used to express the data structures of most modern
programming languages (including Perl, of course). YAML supports Unicode
and there are implementations of the parser in many different languages,
making it a rather portable serialization format.
Please note that the YAML module is currently a deprecated implementation
in Pure Perl, which is probably slow on your system. The authors intend
to change it to just be a front-end interface module for various YAML
implementations. For now, YAML::Any is a module provided for this purpose,
which simply selects the best YAML implementation available.

Alternatives

Package Version Architecture Repository
libyaml-perl_1.15-1_all.deb 1.15 all Ubuntu Main
libyaml-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libyaml-perl_1.15-1_all.deb
Source Package libyaml-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libyaml-perl deb package:
    # sudo apt-get install libyaml-perl

Files

Path
/usr/share/doc/libyaml-perl/CONTRIBUTING
/usr/share/doc/libyaml-perl/changelog.Debian.gz
/usr/share/doc/libyaml-perl/copyright
/usr/share/man/man3/YAML.3pm.gz
/usr/share/man/man3/YAML::Any.3pm.gz
/usr/share/man/man3/YAML::Dumper.3pm.gz
/usr/share/man/man3/YAML::Dumper::Base.3pm.gz
/usr/share/man/man3/YAML::Error.3pm.gz
/usr/share/man/man3/YAML::Loader.3pm.gz
/usr/share/man/man3/YAML::Loader::Base.3pm.gz
/usr/share/man/man3/YAML::Marshall.3pm.gz
/usr/share/man/man3/YAML::Node.3pm.gz
/usr/share/man/man3/YAML::Tag.3pm.gz
/usr/share/man/man3/YAML::Types.3pm.gz
/usr/share/perl5/YAML.pm
/usr/share/perl5/YAML.pod
/usr/share/perl5/YAML/Any.pm
/usr/share/perl5/YAML/Any.pod
/usr/share/perl5/YAML/Dumper.pm
/usr/share/perl5/YAML/Dumper.pod
/usr/share/perl5/YAML/Error.pm
/usr/share/perl5/YAML/Error.pod
/usr/share/perl5/YAML/Loader.pm
/usr/share/perl5/YAML/Loader.pod
/usr/share/perl5/YAML/Marshall.pm
/usr/share/perl5/YAML/Marshall.pod
/usr/share/perl5/YAML/Mo.pm
/usr/share/perl5/YAML/Node.pm
/usr/share/perl5/YAML/Node.pod
/usr/share/perl5/YAML/Tag.pm
/usr/share/perl5/YAML/Tag.pod
/usr/share/perl5/YAML/Types.pm
/usr/share/perl5/YAML/Types.pod
/usr/share/perl5/YAML/Dumper/Base.pm
/usr/share/perl5/YAML/Dumper/Base.pod
/usr/share/perl5/YAML/Loader/Base.pm
/usr/share/perl5/YAML/Loader/Base.pod

Changelog

2015-11-01 - gregor herrmann <gregoa@debian.org>
libyaml-perl (1.15-1) unstable; urgency=medium
* Import upstream version 1.15.
* Refresh ysh-location.patch (offset).
* Update years of upstream and packaging copyright.
* Bump debhelper compatibility level to 9.
2014-10-14 - gregor herrmann <gregoa@debian.org>
libyaml-perl (1.13-1) unstable; urgency=medium
* Import upstream version 1.13
2014-09-23 - gregor herrmann <gregoa@debian.org>
libyaml-perl (1.12-1) unstable; urgency=medium
* Imported upstream version 1.12
Fixes "libyaml-tiny-perl: YAML::Tiny >=1.60 generates certain(?)
strings without quotes"
(Closes: #762135)
* Declare compliance with Debian Policy 3.9.6.
* Mark package as autopkgtest-able.
2014-09-17 - gregor herrmann <gregoa@debian.org>
libyaml-perl (1.11-1) unstable; urgency=medium
* Imported upstream version 1.11
2014-08-26 - Damyan Ivanov <dmn@debian.org>
libyaml-perl (1.09-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Damyan Ivanov ]
* Imported Upstream version 1.09
* Added debian/upstream/metadata
2014-08-08 - gregor herrmann <gregoa@debian.org>
libyaml-perl (1.01-1) unstable; urgency=medium
* New upstream release.
* Add libtest-yaml-perl to Build-Depends-Indep.
* debian/copyright: remove information about dropped files.
2014-07-31 - Salvatore Bonaccorso <carnil@debian.org>
libyaml-perl (0.98-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 0.98
2014-07-20 - gregor herrmann <gregoa@debian.org>
libyaml-perl (0.97-1) unstable; urgency=medium
* New upstream release.
* Install new CONTRIBUTING document.
2014-06-21 - gregor herrmann <gregoa@debian.org>
libyaml-perl (0.95-1) unstable; urgency=medium
* New upstream release.
* Refresh ysh-location.patch (offset).
2014-06-15 - gregor herrmann <gregoa@debian.org>
libyaml-perl (0.94-1) unstable; urgency=medium
* New upstream release.
* Update upstream copyright notice.

See Also

Package Description
libyaml-tiny-perl_1.69-1_all.deb Perl module for reading and writing YAML files
libyelp-dev_3.18.1-1ubuntu4_amd64.deb Library for the GNOME help browser (development)
libyelp0_3.18.1-1ubuntu4_amd64.deb Library for the GNOME help browser
libzeitgeist-1.0-1_0.3.18-1ubuntu3_amd64.deb library to access Zeitgeist - shared library
libzeitgeist-2.0-0_0.9.16-0ubuntu4_amd64.deb library to access Zeitgeist - shared library
libzeitgeist-2.0-dev_0.9.16-0ubuntu4_amd64.deb library to access Zeitgeist - development files
libzeitgeist-2.0-doc_0.9.16-0ubuntu4_all.deb library to access Zeitgeist - documentation
libzeitgeist-dev_0.3.18-1ubuntu3_amd64.deb library to access Zeitgeist - development files
libzeitgeist-doc_0.3.18-1ubuntu3_all.deb library to access Zeitgeist - documentation
libzinnia-dev_0.06-2ubuntu2_amd64.deb development files for the zinnia library
libzinnia-doc_0.06-2ubuntu2_all.deb documention files for the zinnia library
libzinnia0v5_0.06-2ubuntu2_amd64.deb online handwriting recognition system with machine learning
libzzip-0-13_0.13.62-3_amd64.deb library providing read access on ZIP-archives - library
libzzip-dev_0.13.62-3_amd64.deb library providing read access on ZIP-archives - development
light-themes_14.04+16.04.20160415-0ubuntu1_all.deb Light Themes (Ambiance and Radiance)
Advertisement
Advertisement